%define rel	3
%define prerel	0

%if %{prerel}
%define release %mkrel -c %prerel %rel
%define srcname %{name}-%{version}%{prerel}
%else
%define release %mkrel %rel
%define srcname %{name}-%{version}
%endif

Summary:	The official MusicBrainz tagger
Name:		picard
Version:	1.3.2
Release:	%{release}
Url:		http://musicbrainz.org/doc/MusicBrainz_Picard
Source0:	http://ftp.musicbrainz.org/pub/musicbrainz/picard/%{srcname}.tar.gz
# Plugins:
Source6:	http://users.musicbrainz.org/~luks/picard-plugins/open_in_gui.py
Source20:	http://github.com/voiceinsideyou/creaps-picard-plugins/raw/master/titleversion.py
Source21:	http://github.com/voiceinsideyou/creaps-picard-plugins/raw/master/titlesort.py
Source22:	https://github.com/voiceinsideyou/picard/raw/plugins/contrib/plugins/removeperfectalbums.py
Source23:	https://raw.github.com/encukou/picard-plugins/master/autosave.py
# search plugins https://github.com/brianfreud/Picard-plugins
Source25:	https://raw.github.com/brianfreud/Picard-plugins/master/SearchAMG.py
Source26:	https://raw.github.com/brianfreud/Picard-plugins/master/SearchDiscogs3.py
Source27:	https://raw.github.com/brianfreud/Picard-plugins/master/SearchAmazon3.py
Source28:	https://raw.github.com/brianfreud/Picard-plugins/master/SearchCastAlbums3.py
Source29:	https://raw.github.com/brianfreud/Picard-plugins/master/SearchFilmMusziek3.py
Source30:	https://raw.github.com/brianfreud/Picard-plugins/master/SearchGMR.py
Source31:	https://raw.github.com/brianfreud/Picard-plugins/master/SearchGoogle3.py
Source32:	https://raw.github.com/brianfreud/Picard-plugins/master/SearchLortelArchives3.py
Source33:	https://raw.github.com/brianfreud/Picard-plugins/master/SearchSoundtrackCollector3.py
Source34:	https://raw.github.com/brianfreud/Picard-plugins/master/SearchSoundtrackINFO3.py
Source35:	https://raw.github.com/brianfreud/Picard-plugins/master/SearchEbay.py
Source36:	https://github.com/Sophist-UK/Picard-Plugins/raw/master/musicbee_compatibility.py
Source38:	https://github.com/Sophist-UK/Picard-Plugins/raw/master/copy_to_comment.py
Source39:	https://github.com/Sophist-UK/Picard-Plugins/raw/master/abbreviate_artistsort.py

License:	GPLv2+
Group:		Sound/Utilities
BuildRequires:	python-devel
BuildRequires:	mutagen
BuildRequires:	libdiscid-devel
Requires:	mutagen
Requires:	python-qt4
#gw for fpcalc (AcoustID calculation)
Requires:	chromaprint
#gw for CD lookup
Recommends: python-discid
#gw for metaflac:
Recommends:	flac
#gw for wvgain:
Recommends:	wavpack
Recommends:	mp3gain

%description
MusicBrainz Picard is the official MusicBrainz tagger, written in Python.

Picard supports the majority of audio file formats, is capable of using audio
fingerprints (PUIDs), performing CD lookups and disc ID submissions, and it has
excellent Unicode support. Additionally, there are several plugins available
that extend Picard's features.

When tagging files, Picard uses an album-oriented approach. This approach
allows it to utilize the MusicBrainz data as effectively as possible and
correctly tag your music. For more information, see the illustrated quick start
guide to tagging.

Picard is named after Captain Jean-Luc Picard from the TV series Star Trek: The
Next Generation.

%prep
%setup -q -n %{name}-release-%{version}
%autopatch -p1

%build
python setup.py config
python setup.py build

%install
python setup.py install --root=%{buildroot}

PLUGINDIR=%{buildroot}%{python_sitearch}/picard/plugins/
cp -r contrib/plugins/* ${PLUGINDIR}
install -m 0644 %{SOURCE6} ${PLUGINDIR}
install -m 0644 %{SOURCE20} ${PLUGINDIR}
install -m 0644 %{SOURCE21} ${PLUGINDIR}
install -m 0644 %{SOURCE22} ${PLUGINDIR}
install -m 0644 %{SOURCE23} ${PLUGINDIR}
install -m 0644 %{SOURCE25} ${PLUGINDIR}
install -m 0644 %{SOURCE26} ${PLUGINDIR}
install -m 0644 %{SOURCE27} ${PLUGINDIR}
install -m 0644 %{SOURCE28} ${PLUGINDIR}
install -m 0644 %{SOURCE29} ${PLUGINDIR}
install -m 0644 %{SOURCE30} ${PLUGINDIR}
install -m 0644 %{SOURCE31} ${PLUGINDIR}
install -m 0644 %{SOURCE32} ${PLUGINDIR}
install -m 0644 %{SOURCE33} ${PLUGINDIR}
install -m 0644 %{SOURCE34} ${PLUGINDIR}
install -m 0644 %{SOURCE35} ${PLUGINDIR}
install -m 0644 %{SOURCE36} ${PLUGINDIR}
install -m 0644 %{SOURCE38} ${PLUGINDIR}
install -m 0644 %{SOURCE39} ${PLUGINDIR}


%find_lang %{name}
%find_lang %{name}-attributes
%find_lang %{name}-countries
cat %{name}-*.lang >> %name.lang

%files -f %{name}.lang
%doc AUTHORS.txt COPYING.txt INSTALL.txt NEWS.txt
%{_bindir}/%{name}
%{python_sitearch}/*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/*


%changelog
* Tue Feb 16 2016 umeabot <umeabot> 1.3.2-3.mga6
+ Revision: 962098
- Mageia 6 Mass Rebuild

* Fri Aug 07 2015 gw666 <gw666> 1.3.2-2.mga6
+ Revision: 861582
- add missing dep on python-discid (bug #16518)

* Wed Jul 08 2015 gw666 <gw666> 1.3.2-1.mga6
+ Revision: 852714
- new version
- new version 1.3
- remove already included plugins
- add new plugins:
 * abbreviate_artistsort
 * copy_to_comment
 * musicbee_compatibility
 * standardise_performers

* Wed Oct 15 2014 umeabot <umeabot> 1.2-7.mga5
+ Revision: 750968
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.2-6.mga5
+ Revision: 727796
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.2-5.mga5
+ Revision: 687574
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.2-3.mga4
+ Revision: 542795
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.2-2.mga4
+ Revision: 498038
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Mar 31 2013 gw666 <gw666> 1.2-1.mga4
+ Revision: 406857
- new version
- drop patch
- drop deps on ffmpeg and libofa
- require chromaprint for fpcalc, which is now the only supported fingerprint

* Sun Jan 13 2013 umeabot <umeabot> 1.1-3.mga3
+ Revision: 377684
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 fwang <fwang> 1.1-2.mga3
+ Revision: 341737
- rebuild for new ffmpeg

  + dams <dams>
    - clean specfile

* Mon Oct 22 2012 gw666 <gw666> 1.1-1.mga3
+ Revision: 309178
- fix rpm package group
- new version 1.1
- update the patch 0
- update several plugins:
 * replaygain
 * last.fm
 * coverart
 * featartists
- new plugins:
 * all available search plugins
 * remove perfect albums
 * featartists in titles
 * titleversion
 * last.fm plus
 * no release
 * release type
 * title sort
 * add release
- suggest tools needed by replaygain and acoustID calculation plugins

* Sun Jun 03 2012 fwang <fwang> 1.0-1.mga3
+ Revision: 253561
- fix build with latest ffmpeg
- new version 1.0

* Mon Nov 28 2011 pterjan <pterjan> 0.16-1.mga2
+ Revision: 173968
- Update to 0.16

* Sat Jun 25 2011 fwang <fwang> 0.15-0.beta2.2.mga2
+ Revision: 113491
- fix build with new ffmpeg
- rebuil dfor new ffmpeg

* Thu Jun 16 2011 ahmad <ahmad> 0.15-0.beta2.1.mga2
+ Revision: 108040
- imported package picard

